/*
 * @Description: 
 * @Version: 1.0
 * @Autor: zhuyijun
 * @Date: 2021-11-21 23:56:19
 * @LastEditTime: 2021-11-22 11:59:09
 */
import Vue from 'vue'
import VueRouter from 'vue-router'
import Login from '../components/Login.vue'
import Home from '../components/Home.vue'
import Welcome from '../components/Welcome.vue'
import Users from '../components/user/Users.vue'

Vue.use(VueRouter)

const routes = [
    {
        path: '/',
        redirect: '/login'
    },
    {
        path: '/login',
        name: 'Login',
        component: Login
    },
    {
        path: '/home',
        name: 'Home',
        component: Home,
        redirect: '/welcome',
        children: [
            {
                path: '/welcome',
                component: Welcome
            },
            {
                path: '/users',
                component: Users
            }
        ]
    }
]

const router = new VueRouter({
    routes
})
// 路由导航守卫
/**
 * to 将要访问的路径
 * from 代表从哪个路径跳转而来
 * next 是一个函数，表示放行
 */
router.beforeEach((to, from, next) => {
    if (to.path === '/login') return next()
    // 获取token
    const token = window.localStorage.getItem('token')
    if (!token) {
        return next('/login')
    }
    next()
})
export default router
